OCC.Core.BRepClass module

BRepClass module, see official documentation at https://www.opencascade.com/doc/occt-7.4.0/refman/html/package_brepclass.html

class BRepClass_Edge(*args)

Bases: object

Return type

None:param E: :type E: TopoDS_Edge :param F: :type F: TopoDS_Face :rtype: None

Edge()
Return type

TopoDS_Edge

Face()
Return type

TopoDS_Face

property thisown

The membership flag

class BRepClass_FClass2dOfFClassifier(*args)

Bases: object

  • Creates an undefined classifier.
    rtype

    None

ClosestIntersection()
  • Returns 0 if the last compared edge had no relevant intersection. Else returns the index of this intersection in the last intersection algorithm.
    rtype

    int

Compare()
  • Updates the classification process with the edge <E> from the boundary.
    param E

    type E

    BRepClass_Edge

    param Or

    type Or

    TopAbs_Orientation

    rtype

    None

Intersector()
  • Returns the intersecting algorithm.
    rtype

    BRepClass_Intersector

IsHeadOrEnd()
  • Returns the Standard_True if the closest intersection point represents head or end of the edge. Returns Standard_False otherwise.
    rtype

    bool

Parameter()
  • Returns the current value of the parameter.
    rtype

    float

Reset()
  • Starts a classification process. The point to classify is the origin of the line <L>. <P> is the original length of the segment on <L> used to compute intersections. <Tol> is the tolerance attached to the line segment in intersections.
    param L

    type L

    gp_Lin2d

    param P

    type P

    float

    param Tol

    type Tol

    float

    rtype

    None

State()
  • Returns the current state of the point.
    rtype

    TopAbs_State

property thisown

The membership flag

class BRepClass_FClassifier(*args)

Bases: object

  • Empty constructor, undefined algorithm.
    rtype

    None* Creates an algorithm to classify the Point P with Tolerance <T> on the face described by <F>.

    param F

    type F

    BRepClass_FaceExplorer

    param P

    type P

    gp_Pnt2d

    param Tol

    type Tol

    float

    rtype

    None

Edge()
  • Returns the Edge used to determine the classification. When the State is ON this is the Edge containing the point.
    rtype

    BRepClass_Edge

EdgeParameter()
  • Returns the parameter on Edge() used to determine the classification.
    rtype

    float

NoWires()
  • Returns True if the face contains no wire. The state is IN.
    rtype

    bool

Perform()
  • Classify the Point P with Tolerance <T> on the face described by <F>.
    param F

    type F

    BRepClass_FaceExplorer

    param P

    type P

    gp_Pnt2d

    param Tol

    type Tol

    float

    rtype

    None

Position()
  • Returns the position of the point on the edge returned by Edge.
    rtype

    IntRes2d_Position

Rejected()
  • Returns True when the state was computed by a rejection. The state is OUT.
    rtype

    bool

State()
  • Returns the result of the classification.
    rtype

    TopAbs_State

property thisown

The membership flag

class BRepClass_FaceExplorer(*args)

Bases: object

Parameters

F

type F

TopoDS_Face

rtype

None

CheckPoint()
  • Checks the point and change its coords if it is located too far from the bounding box of the face. New Coordinates of the point will be on the line between the point and the center of the bounding box. Returns True if point was not changed.
    param thePoint

    type thePoint

    gp_Pnt2d

    rtype

    bool

CurrentEdge()
  • Current edge in current wire and its orientation.
    param E

    type E

    BRepClass_Edge

    param Or

    type Or

    TopAbs_Orientation

    rtype

    None

InitEdges()
  • Starts an exploration of the edges of the current wire.
    rtype

    None

InitWires()
  • Starts an exploration of the wires.
    rtype

    None

MoreEdges()
  • Returns True if there is a current edge.
    rtype

    bool

MoreWires()
  • Returns True if there is a current wire.
    rtype

    bool

NextEdge()
  • Sets the explorer to the next edge.
    rtype

    None

NextWire()
  • Sets the explorer to the next wire.
    rtype

    None

OtherSegment()
  • Returns in <L>, <Par> a segment having at least one intersection with the face boundary to compute intersections. Each call gives another segment.
    param P

    type P

    gp_Pnt2d

    param L

    type L

    gp_Lin2d

    param Par

    type Par

    float

    rtype

    bool

Reject()
  • Should return True if the point is outside a bounding volume of the face.
    param P

    type P

    gp_Pnt2d

    rtype

    bool

RejectEdge()
  • Returns True if the edge bounding volume does not intersect the segment.
    param L

    type L

    gp_Lin2d

    param Par

    type Par

    float

    rtype

    bool

RejectWire()
  • Returns True if the wire bounding volume does not intersect the segment.
    param L

    type L

    gp_Lin2d

    param Par

    type Par

    float

    rtype

    bool

Segment()
  • Returns in <L>, <Par> a segment having at least one intersection with the face boundary to compute intersections.
    param P

    type P

    gp_Pnt2d

    param L

    type L

    gp_Lin2d

    param Par

    type Par

    float

    rtype

    bool

property thisown

The membership flag

class BRepClass_FacePassiveClassifier(*args)

Bases: object

  • Creates an undefined classifier.
    rtype

    None

ClosestIntersection()
  • Returns 0 if the last compared edge had no relevant intersection. Else returns the index of this intersection in the last intersection algorithm.
    rtype

    int

Compare()
  • Updates the classification process with the edge <E> from the boundary.
    param E

    type E

    BRepClass_Edge

    param Or

    type Or

    TopAbs_Orientation

    rtype

    None

Intersector()
  • Returns the intersecting algorithm.
    rtype

    BRepClass_Intersector

IsHeadOrEnd()
  • Returns the Standard_True if the closest intersection point represents head or end of the edge. Returns Standard_False otherwise.
    rtype

    bool

Parameter()
  • Returns the current value of the parameter.
    rtype

    float

Reset()
  • Starts a classification process. The point to classify is the origin of the line <L>. <P> is the original length of the segment on <L> used to compute intersections. <Tol> is the tolerance attached to the line segment in intersections.
    param L

    type L

    gp_Lin2d

    param P

    type P

    float

    param Tol

    type Tol

    float

    rtype

    None

State()
  • Returns the current state of the point.
    rtype

    TopAbs_State

property thisown

The membership flag

class BRepClass_Intersector(*args)

Bases: OCC.Core.Geom2dInt.Geom2dInt_IntConicCurveOfGInter

Return type

None

LocalGeometry()
  • Returns in <T>, <N> and <C> the tangent, normal and curvature of the edge <E> at parameter value <U>.
    param E

    type E

    BRepClass_Edge

    param U

    type U

    float

    param T

    type T

    gp_Dir2d

    param N

    type N

    gp_Dir2d

    param C

    type C

    float

    rtype

    None

Perform()
  • Intersect the line segment and the edge.
    param L

    type L

    gp_Lin2d

    param P

    type P

    float

    param Tol

    type Tol

    float

    param E

    type E

    BRepClass_Edge

    rtype

    None

property thisown

The membership flag

class SwigPyIterator(*args, **kwargs)

Bases: object

advance()
copy()
decr()
distance()
equal()
incr()
next()
previous()
property thisown

The membership flag

value()